| QxOrm 1.4.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions
qx::QxFunction_0< Owner, R > Class Template Reference
QxFunction : QxOrm library function used by introspection engine

qx::QxFunction_0<Owner, R> : concrete function registered into QxOrm context defined into class Owner, returning an object of type R and without parameter More...

`#include <QxFunction_0.h>`

Inheritance diagram for qx::QxFunction_0< Owner, R >:

List of all members.

## Classes
struct | QxInvokerFct
struct | QxInvokerFct< T, true >
## Public Types
typedef std::function< R(Owner *) | type_fct )
## Public Member Functions
| QX_FUNCTION_CLASS_MEMBER_FCT (QxFunction_0)
virtual int | getParamCount () const
virtual qx_bool | isValidParams (const QString &params) const
virtual qx_bool | isValidParams (const type_any_params &params) const

## Detailed Description

### template<class Owner, typename R>
class qx::QxFunction_0< Owner, R >

qx::QxFunction_0<Owner, R> : concrete function registered into QxOrm context defined into class Owner, returning an object of type R and without parameter

Definition at line 56 of file QxFunction_0.h.

## Member Typedef Documentation

template<class Owner, typename R>

typedef std::function<R (Owner *) qx::QxFunction_0< Owner, R >::type_fct)

Definition at line 61 of file QxFunction_0.h.

## Member Function Documentation

template<class Owner, typename R>

virtual int qx::QxFunction_0< Owner, R >::getParamCount | ( |  | ) | const`[inline, virtual]`

Implements qx::IxFunction.

Definition at line 64 of file QxFunction_0.h.

template<class Owner, typename R>

virtual qx_bool qx::QxFunction_0< Owner, R >::isValidParams | ( | const QString & | params | ) | const`[inline, virtual]`

Implements qx::IxFunction.

Definition at line 65 of file QxFunction_0.h.

template<class Owner, typename R>

virtual qx_bool qx::QxFunction_0< Owner, R >::isValidParams | ( | const type_any_params & | params | ) | const`[inline, virtual]`

Implements qx::IxFunction.

Definition at line 66 of file QxFunction_0.h.

template<class Owner, typename R>

qx::QxFunction_0< Owner, R >::QX_FUNCTION_CLASS_MEMBER_FCT | ( | QxFunction_0< Owner, R > |  | ) |

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxFunction/QxFunction_0.h